default: small

TN=tochnog

all: small large very_large 

small:
	$(TN) absorp1
	$(TN) axisym1
	$(TN) axisym2
	$(TN) axisym3
	$(TN) axisym4
	$(TN) axisym5
	$(TN) bimet1
	$(TN) blatz1
	$(TN) calcul1
	$(TN) calcul2
	$(TN) condif1
	$(TN) condif2
	$(TN) condif3
	$(TN) condif5
	$(TN) condif6
	$(TN) condif7
	$(TN) condif8
	$(TN) condif9
	$(TN) condif10
	$(TN) conspr1
	$(TN) conspr2
	$(TN) conspr3
	$(TN) conspr4
	$(TN) contac1
	$(TN) contac2
	$(TN) contac3
	$(TN) contac4
	$(TN) convec1
	$(TN) convec2
	$(TN) crack1
	$(TN) crack2
	$(TN) crack3
	$(TN) ctvmis1
	$(TN) ctvmis2
	$(TN) depend1
	$(TN) damage1
	$(TN) dataput1
	$(TN) delete1
	$(TN) dens1
	$(TN) disk1
	$(TN) distri1
	$(TN) druckpr1
	$(TN) eigen1
	$(TN) eigen3
	$(TN) elasti1
	$(TN) elasti2
	$(TN) elasti3
	$(TN) elasti4
	$(TN) examp4
	$(TN) examp7
	$(TN) examp12
	$(TN) examp22
	$(TN) expans1
	$(TN) expans2
	$(TN) force1
	$(TN) force2
	$(TN) force3
	$(TN) force4
	$(TN) force5
	$(TN) genera1
	$(TN) genera2
	$(TN) ground1
	$(TN) ground2
	$(TN) ground3
	$(TN) ho_othr4
	$(TN) incnav1
	$(TN) incnav2
	$(TN) incnav3
	$(TN) incnav4
	$(TN) incnav5
	$(TN) interac1
	$(TN) inver1
	$(TN) inver2
	$(TN) matrix1
	$(TN) matrix2
	$(TN) matrix3
	$(TN) matrix4
	$(TN) matrix5
	$(TN) matrix6
	$(TN) matrix7
	$(TN) matrix8
	$(TN) matrix9
	$(TN) membran1
	$(TN) membran2
	$(TN) merge1
	$(TN) mohrcou1
	$(TN) mohrcou2
	$(TN) mohrcou3
	$(TN) mohrcou4
	$(TN) nodfor1
	$(TN) post1
	$(TN) post2
	$(TN) post3
	$(TN) post4
	$(TN) post5
	$(TN) post6
	$(TN) pridbs
	$(TN) pridbs1.dbs
	$(TN) radiate1
	$(TN) radiate2
	$(TN) refine1
	$(TN) refine2
	$(TN) refine3
	$(TN) refine4
	$(TN) remesh1
	$(TN) repeat1
	$(TN) repeat2
	$(TN) skip1
	$(TN) slide1
	$(TN) spring1
	$(TN) spring2
	$(TN) spring3
	$(TN) spring4
	$(TN) spring5
	$(TN) soften1
	$(TN) strconv1
	$(TN) temp1
	$(TN) temp2
	$(TN) temp3
	$(TN) temp4
	$(TN) temp5
	$(TN) tendon1 
	$(TN) tendon2
	$(TN) tendon3
	$(TN) tendon4
	$(TN) tendon6
	$(TN) tendon7
	$(TN) tendon8
	$(TN) tendon10
	$(TN) tension1
	$(TN) tet10
	$(TN) total1
	$(TN) total2
	$(TN) total3
	$(TN) transv1
	$(TN) tria6
	$(TN) truss1
	$(TN) truss2
	$(TN) truss3
	$(TN) truss4
	$(TN) truss5
	$(TN) truss6
	$(TN) truss7
	$(TN) trubea1
	$(TN) trubea2
	$(TN) trubea3
	$(TN) trubea4
	$(TN) update1
	$(TN) viscel1
	$(TN) visc_pl1
	$(TN) visc_pl2
	$(TN) volume1
	$(TN) volume2
	$(TN) vonmis1
	$(TN) vonmis2
	$(TN) viscos1
	$(TN) wave1

large:
	$(TN) beam2d_1
	$(TN) beam2d_2
	$(TN) beam3d
	$(TN) diprisc1
	$(TN) examp1
	$(TN) examp2
	$(TN) examp3
	$(TN) examp5
	$(TN) examp6
	$(TN) examp8
	$(TN) examp10
	$(TN) examp11
	$(TN) examp15
	$(TN) examp16
	$(TN) examp17
	$(TN) examp18
	$(TN) examp20
	$(TN) ho_mech1
	$(TN) ho_othr1
	$(TN) ho_othr2
	$(TN) ho_othr3
	$(TN) silo1
	$(TN) tube1

very_large:
	$(TN) examp9
	$(TN) examp13
	$(TN) examp14
	$(TN) examp19
	$(TN) examp23
	$(TN) ho_mech2
	$(TN) ho_mech3
	$(TN) examp24

# special entry since compilation with f2c is needed
# see tochnog/src/makefile how to compile
hypoplasticity:
	$(TN) hypo1
	$(TN) hypo2
	$(TN) hypo3
	$(TN) hypo4

clean:
	rm -f *.dbs *.aux *.dx *.his *.inp *.gif *.tiff *.jpg *.rgb *.ps *.out *.vtk vtn* tecplot* *flavia* plotmtv* tn.* tmp.dat tecplot.plt tngid* tn.dvd tngid_tmp.dat lines.bon append.dat
